Recycle Bin overview

The Recycle Bin provides a safety net when deleting files or folders. When you delete any of these items from your hard disk, Windows places it in the Recycle Bin and the Recycle Bin icon changes from empty to full. Items deleted from a floppy disk or a network drive are permanently deleted and are not sent to the Recycle Bin.

Items in the Recycle Bin remain there until you decide to permanently delete them from your computer. These items still take up hard disk space and can be undeleted or restored back to their original location. When it fills up, Windows automatically cleans out enough space in the Recycle Bin to accommodate the most recently deleted files and folders.

If you're running low on hard disk space, always remember to empty the Recycle Bin. You can also restrict the size of the Recycle Bin to limit the amount of hard disk space it takes up.

Windows allocates one Recycle Bin for each partition or hard disk. If your hard disk is partitioned, or if you have more than one hard disk in your computer, you can specify a different size for each Recycle Bin.

Related Topics


Empty the Recycle Bin

Microsoft Windows graphic

To empty the Recycle Bin

  1. On the desktop, double-click Recycle Bin.
  2. On the File menu, click Empty Recycle Bin.

Important

  • Emptying the Recycle Bin permanently deletes all items.

Note

  • If you only want to remove some of the items in the Recycle Bin, hold down CTRL, and then click each item that you want to remove. When you have finished selecting the items that you want to remove, on the File menu, click Delete.


Delete or restore files in the Recycle Bin

To delete or restore files in the Recycle Bin

  1. On the desktop, double-click Recycle Bin.
  2. Do one of the following:
    • To restore an item, right-click it, and then click Restore.
    • To restore all of the items, on the Edit menu, click Select All, and then on the File menu, click Restore.
    • To delete an item, right-click it, and then click Delete.
    • To delete all of the items, on the File menu, click Empty Recycle Bin.

Notes

  • Deleting an item from the Recycle Bin permanently removes it from your computer. Items deleted from the Recycle Bin cannot be restored.
  • You can also delete items by dragging them into the Recycle Bin. If you press SHIFT while dragging, the item is deleted from your computer without being stored in the Recycle Bin.
  • Restoring an item in the Recycle Bin returns that item to its original location.
  • To retrieve several items at once, hold down CTRL, and then click each item that you want to retrieve. When you have finished selecting the items that you want to retrieve, on the File menu, click Restore.
  • If you restore a file that was originally located in a deleted folder, the folder is recreated in its original location, and then the file is restored in that folder.
  • The following items are not stored in the Recycle Bin and cannot be restored:
    • Items deleted from network locations.
    • Items deleted from removable media (such as 3.5-inch disks).
    • Items that are larger than the storage capacity of the Recycle Bin.


Remove items permanently when you delete them

To remove items permanently when you delete them

  1. On the desktop, right-click Recycle Bin, and then click Properties.
  2. Select the Do not move files to the Recycle Bin check box.

Important

  • If the Do not move files to the Recycle Bin check box is selected, you will not be able to recover any items that you delete.

Notes

  • You can also remove an item permanently by holding down SHIFT while dragging the item to the Recycle Bin.
  • If you want to use different Recycle Bin settings for different drives, click Configure drives independently, and then click the appropriate drive tab to change the Recycle Bin settings for that drive.
  • If you want to use the same Recycle Bin settings for all drives, click Use one setting for all drives.


Change the storage capacity of the Recycle Bin

To change the storage capacity of the Recycle Bin

  1. On the desktop, right-click Recycle Bin, and then click Properties.
  2. Move the slider to increase or decrease the amount of disk space that is reserved for storing deleted items.

Important

  • A deleted item that is larger than the storage capacity of the Recycle Bin will not be saved. It will be permanently deleted.

Notes

  • If you want to use different Recycle Bin settings for different drives, click Configure drives independently, and then click the appropriate drive tab to change the Recycle Bin settings for that drive.
  • If you want to use the same Recycle Bin settings for all drives, click Use one setting for all drives.


Prevent delete confirmation messages from appearing

To prevent delete confirmation messages from appearing

  1. On the desktop, right-click Recycle Bin, and then click Properties.
  2. Clear the Display delete confirmation dialog check box.

Notes

  • This setting only applies when you move items to the Recycle Bin. This setting does not apply when you move items from it.
  • This setting is unavailable if the Do not move files to the Recycle Bin check box is selected.